Bug 865953 - Busted package group results in bizarre and crash-happy dialog [NEEDINFO]
Busted package group results in bizarre and crash-happy dialog
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
abrt_hash:aa6939d4a3c4dd1e46f948a52ee...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-12 17:40 EDT by Adam Williamson
Modified: 2014-02-05 07:34 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:34:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
clumens: needinfo?


Attachments (Terms of Use)
File: anaconda-tb (186.74 KB, text/plain)
2012-10-12 17:40 EDT, Adam Williamson
no flags Details
File: product (6 bytes, text/plain)
2012-10-12 17:40 EDT, Adam Williamson
no flags Details
File: type (9 bytes, text/plain)
2012-10-12 17:40 EDT, Adam Williamson
no flags Details
File: ifcfg.log (641 bytes, text/plain)
2012-10-12 17:40 EDT, Adam Williamson
no flags Details
File: storage.log (58.29 KB, text/plain)
2012-10-12 17:40 EDT, Adam Williamson
no flags Details
File: version (2 bytes, text/plain)
2012-10-12 17:40 EDT, Adam Williamson
no flags Details
File: environ (764 bytes, text/plain)
2012-10-12 17:40 EDT, Adam Williamson
no flags Details
File: anaconda.log (3.92 KB, text/plain)
2012-10-12 17:40 EDT, Adam Williamson
no flags Details
File: syslog (59.64 KB, text/plain)
2012-10-12 17:41 EDT, Adam Williamson
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-12 17:41 EDT, Adam Williamson
no flags Details
File: packaging.log (3.56 KB, text/plain)
2012-10-12 17:41 EDT, Adam Williamson
no flags Details
File: cmdline_file (87 bytes, text/plain)
2012-10-12 17:41 EDT, Adam Williamson
no flags Details
File: release (24 bytes, text/plain)
2012-10-12 17:41 EDT, Adam Williamson
no flags Details
File: program.log (31.64 KB, text/plain)
2012-10-12 17:41 EDT, Adam Williamson
no flags Details

  None (edit)
Description Adam Williamson 2012-10-12 17:40:45 EDT
Description of problem:
Booted smoke8 (18.16) netinst.iso. Picked the 'Cinnamon' environment from the Software Selection spoke. On leaving the spoke, anaconda said something along the lines of 'the cinnamon group does not exist. Would you like to skip this group and continue with installation?' (yes/no). I picked No, and it crashed.

In a hub and spoke design, the question seems like bad UI. It's not at all clear what each choice actually means. I had no idea which option I should pick, or what would happen in either case. I think this dialog needs to be reworked quite aside from the fact that neither choice should cause a crash.


Version-Release number of selected component:
anaconda-18.16

Additional info:
libreport version: 2.0.14
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.1-1.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.16 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/yumpayload.py", line 1046, in _handleMissing
:    sys.exit(1)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/yumpayload.py", line 1073, in _applyYumSelections
:    self._handleMissing(e)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/yumpayload.py", line 1097, in checkSoftwareSelection
:    self._applyYumSelections()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/software.py", line 89, in checkSoftwareSelection
:    self.payload.checkSoftwareSelection()
:  File "/usr/lib64/python2.7/threading.py", line 504, in run
:    self.__target(*self.__args, **self.__kwargs)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 91, in run
:    threading.Thread.run(self, *args, **kwargs)
:SystemExit: 1
Comment 1 Adam Williamson 2012-10-12 17:40:48 EDT
Created attachment 626302 [details]
File: anaconda-tb
Comment 2 Adam Williamson 2012-10-12 17:40:49 EDT
Created attachment 626303 [details]
File: product
Comment 3 Adam Williamson 2012-10-12 17:40:51 EDT
Created attachment 626304 [details]
File: type
Comment 4 Adam Williamson 2012-10-12 17:40:53 EDT
Created attachment 626305 [details]
File: ifcfg.log
Comment 5 Adam Williamson 2012-10-12 17:40:54 EDT
Created attachment 626306 [details]
File: storage.log
Comment 6 Adam Williamson 2012-10-12 17:40:56 EDT
Created attachment 626307 [details]
File: version
Comment 7 Adam Williamson 2012-10-12 17:40:58 EDT
Created attachment 626308 [details]
File: environ
Comment 8 Adam Williamson 2012-10-12 17:40:59 EDT
Created attachment 626309 [details]
File: anaconda.log
Comment 9 Adam Williamson 2012-10-12 17:41:01 EDT
Created attachment 626310 [details]
File: syslog
Comment 10 Adam Williamson 2012-10-12 17:41:03 EDT
Created attachment 626311 [details]
File: hashmarkername
Comment 11 Adam Williamson 2012-10-12 17:41:04 EDT
Created attachment 626312 [details]
File: packaging.log
Comment 12 Adam Williamson 2012-10-12 17:41:06 EDT
Created attachment 626313 [details]
File: cmdline_file
Comment 13 Adam Williamson 2012-10-12 17:41:08 EDT
Created attachment 626314 [details]
File: release
Comment 14 Adam Williamson 2012-10-12 17:41:10 EDT
Created attachment 626315 [details]
File: program.log
Comment 15 Adam Williamson 2012-10-12 17:41:51 EDT
note the initial error here is not anaconda's, the Cinnamon group in comps really *is* broken (well, I fixed it yesterday, but that change hasn't got mashed into the public mirrors yet, obviously). the problem in anaconda here is in the error handling.
Comment 16 Adam Williamson 2012-10-12 17:45:52 EDT
CCing Mo in case she has thoughts on the wording/design of the dialog. I re-ran the test and hit Yes this time, just to see what would happen - that results in no crash, and the hub shows the Cinnamon env selected with no warning triangle. I didn't bother completing the install, but I expect I could then continue install and I'd get just whatever packages would be in the install set, ignoring the non-existent group. That seems like a reasonable outcome for saying Yes, but I still don't really know what No 'should' do. Put you back at the Software Selection spoke?
Comment 17 Máirín Duffy 2013-02-12 15:34:14 EST
Stephanie and I reviewed this bug today. We agreed that it would be better if the dialog didn't pop up at all, and any broken package groups were removed from the user's available selections before entering the spoke. We talked to Chris and he said that anaconda doesn't do any sanity-checking on the repos, though, so we won't know if a given package group is broken until leaving the spoke.

It seems like maybe the big issue with the dialog that pops up is that it has a 'yes' 'no' and 'no' makes it crash, and 'yes' doesn't really do anything. So we think the best solution here is to get rid of the dialog completely, and add a warning to the notification area to let the user know there's a problem with the repo and which groups in their selection won't be installed because of the issue. 

Basically, the user will go through the software selection spoke, exit to the hub, and:

- A /!\ will appear next to software selection after the user completes it and anaconda figures out one or more package groups are busted.

- The warning will basically say, 'Some selected package groups cannot be installed because of a repo error ($PACKAGE_GROUP_NAMES). We'll install everything else you picked.' <= or something along those lines
Comment 18 Chris Lumens 2013-04-12 10:43:49 EDT
Please let me know next time there's a tree with this busted condition, and I will work on fixing this.
Comment 19 Adam Williamson 2013-04-12 15:48:12 EDT
It's probably not going to come up very often, as it requires the names of groups in anaconda and in comps to be out of sync, so it's only likely to happen when we introduce new desktops and/or do big comps overhauls...
Comment 20 Chris Lumens 2013-05-30 17:04:07 EDT
The reason for this dialog being there in the first place is not the interactive user, but kickstart.  For interactive users, I think we can catch busted groups coming from comps elsewhere.

For kickstart users, we have a %packages --ignoreMissing flag that allows them to skip notification; otherwise we stop and tell them they gave a bad package in %packages.  But, I've got to wonder if anyone actually cares about this functionality.  Would it be better to just log the missing package and move on?  Does anyone have any ideas about how to handle this situation?
Comment 21 Fedora End Of Life 2013-12-21 04:06:53 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 22 Fedora End Of Life 2014-02-05 07:34:05 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.